Subject: Chinese Gopher under GNU Emacs

From: Stephen G Simpson <[email-masked]>
Date: Tue, 27 Apr 1993 15:28:42 -0400

BACKGROUND:

For those who don't know, Gopher is a wonderful new Internet
information service.  It provides user-friendly access to a vast array
of material around the world including documents, event calendars,
software, pictures, library catalogs, etc.

As has been mentioned here on CCNET, there are several Gopher servers
in Taiwan which have a lot of documents and material in BIG-5 coded
Chinese.  You can connect to them directly or through another Gopher
server, for instance the big one at the University of Minnesota,
gopher.micro.umn.edu, port 70.

PROBLEM:

In order to access the BIG-5 Gopher servers in Taiwan, your local
Gopher client needs to be 8-bit clean.  The most commonly used Unix
Gopher client is not 8-bit clean, because it uses the Berkeley curses
library.

SOLUTION:

One solution that has been mentioned here on CCNET is to recompile
your Unix Gopher client using the System V curses library.

I want to mention another solution.  Namely, I suggest using Scott
Snyder's GNU Emacs Gopher client, gopher.el, along with Cemacs (i.e.
Chinese Emacs, essentially an 8-bit clean patched version of GNU Emacs
together with some Emacs Lisp code for use with Chinese).  I tested
this combination and it works fine.  This is probably the best
solution for GNU Emacs users.  Even for non-Chinese use, I like the
GNU Emacs Gopher client much better than the normal standalone Unix
Gopher client.  The fact that it works with Chinese also is just an
extra bonus.

Cemacs (including the 8-bit patch for GNU Emacs) is available for
anonymous ftp at math.psu.edu, pub/simpson/chinese/cemacs.tar.Z.  I am
not sure where to tell you to get gopher.el -- I got it from the
gnu.emacs.sources newsgroup.  I can send it to anyone who wants it,
but please don't ask me for it unless you have already installed
Cemacs.  By the way, in order to use gopher.el you will also need
forms.el and background.el, both available on the Emacs Lisp archive
at archive.cis.ohio-state.edu, directory pub/gnu/emacs/elisp-archive/.

Stephen G. Simpson
Department of Mathematics, Pennsylvania State University
333 McAllister Building, University Park, State College, PA 16802
Office phone: +1 814 863-0775      Internet: [email-masked]
Home phone: +1 814 238-2274        Bitnet: T20@PSUVM
FAX: +1 814 865-3735